# vim: set sw=4 ts=4 et:

%define soname		4
%define soname_pp	3

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 
Name:           mlt
Version:        0.7.2
Release:        1.pm.1.8
License:        GNU General Public License version 2 or later (GPLv2 or later)
Summary:        Multimedia framework for television broadcasting
Group:          Productivity/Multimedia/Sound/Editors and Convertors
URL:            http://www.mltframework.org/twiki/bin/view/MLT/WebHome
# http://prdownloads.sourceforge.net/mlt/mlt-%{version}.tar.gz
Source:         mlt-%{version}.tar.bz2
Source90:       %{name}-rpmlintrc
Patch1:         mlt-qt_backport.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gcc-c++
BuildRequires:  libffmpeg-devel libamrnb-devel ffmpeg
BuildRequires:  frei0r-plugins
BuildRequires:  gamin-devel
BuildRequires:  gtk2-devel
%if 0%{?suse_version} < 1130
BuildRequires:	gdk-pixbuf-devel
%endif
BuildRequires:  ImageMagick
BuildRequires:  ladspa-devel
BuildRequires:  ladspa
BuildRequires:  libdv-devel
BuildRequires:  libgsm-devel
BuildRequires:  libjack-devel
BuildRequires:  libkde4-devel
BuildRequires:  libmad-devel
BuildRequires:  libquicktime-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel >= 2.5
BuildRequires:  pango-devel
BuildRequires:  qt-devel
BuildRequires:  pkgconfig
BuildRequires:  SDL-devel >= 1.2
BuildRequires:  sox-devel >= 14.3.0
BuildRequires:  sox >= 14.3.0
BuildRequires:  xorg-x11-devel
Requires:       ladspa
BuildRequires:  python-devel
BuildRequires:  swig
%py_requires

# pmbs ...
#BuildRequires:  libwavpack-devel libsndfile-devel libxine1

%if %suse_version > 1101
BuildRequires:  libdb-4_5-devel
%endif
 
%description
MLT is an open source multimedia framework, designed and developed
for television broadcasting. It provides a toolkit for broadcasters,
video editors, media players, transcoders, web streamers and many
more types of applications.

The functionality of the system is provided via an assortment of
ready to use tools, xml authoring components, and an extendible
plug-in based API.

%package devel
Summary:        MLT Video Editor development files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       frei0r-plugins
Requires:       gtk2-devel
%if 0%{?suse_version} < 1130
Requires:	    gdk-pixbuf-devel
%endif
Requires:       ladspa-devel
Requires:       ladspa
Requires:       libdv-devel
Requires:       libffmpeg-devel
Requires:       libgsm-devel
Requires:       libjack-devel
Requires:       libkde4-devel
Requires:       libmad-devel
Requires:       libmlt%{soname} = %{version}
Requires:       libquicktime-devel
Requires:       libsamplerate-devel
Requires:       libvorbis-devel
Requires:       libxml2-devel >= 2.5
Requires:       pango-devel
Requires:       qt-devel
Requires:       SDL-devel >= 1.2
Requires:       sox-devel >= 14.3.0
Requires:       sox >= 14.3.0
Requires:       xorg-x11-devel

%description devel
MLT is an open source multimedia framework, designed and developed
for television broadcasting. It provides a toolkit for broadcasters,
video editors, media players, transcoders, web streamers and many
more types of applications.

The functionality of the system is provided via an assortment of
ready to use tools, xml authoring components, and an extendible
plug-in based API.

Headers and link/static libraries for package MLT.

%package -n mlt++-devel
Summary:        MLT Video Editor development files
Group:          Development/Libraries/C and C++
Requires:       %{name}-devel = %{version}
Requires:       libmlt++%{soname_pp} = %{version}

%description -n mlt++-devel
MLT is an open source multimedia framework, designed and developed
for television broadcasting. It provides a toolkit for broadcasters,
video editors, media players, transcoders, web streamers and many
more types of applications.

The functionality of the system is provided via an assortment of
ready to use tools, xml authoring components, and an extendible
plug-in based API.

Headers and link/static libraries for package MLT++.

%package -n libmlt%{soname}
Summary:        MLT Video Editor shared library
Group:          System/Libraries

%description -n libmlt%{soname}
MLT is an open source multimedia framework, designed and developed
for television broadcasting. It provides a toolkit for broadcasters,
video editors, media players, transcoders, web streamers and many
more types of applications.

The functionality of the system is provided via an assortment of
ready to use tools, xml authoring components, and an extendible
plug-in based API.

Shared library for package MLT.

%package -n libmlt++%{soname_pp}
Summary:        MLT Video Editor shared library
Group:          System/Libraries

%description -n libmlt++%{soname_pp}
MLT is an open source multimedia framework, designed and developed
for television broadcasting. It provides a toolkit for broadcasters,
video editors, media players, transcoders, web streamers and many
more types of applications.

The functionality of the system is provided via an assortment of
ready to use tools, xml authoring components, and an extendible
plug-in based API.

Shared library for package MLT.

%package -n python-mlt
Summary:        MLT Video Editor python bindings
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
%if %suse_version >= 1110
Requires:       python-base >= %{py_ver}
%else
Requires:       python >= %{py_ver}
%endif

%description -n python-mlt
MLT is an open source multimedia framework, designed and developed
for television broadcasting. It provides a toolkit for broadcasters,
video editors, media players, transcoders, web streamers and many
more types of applications.

The functionality of the system is provided via an assortment of
ready to use tools, xml authoring components, and an extendible
plug-in based API.

Python bindings for package MLT.

%prep
%setup -q -n %{name}-%{version}
%if %suse_version < 1100
%patch1
%endif

%build
%suse_update_libdir src/modules/qimage/configure

export KDEDIR=%{_prefix}
%configure  \
%ifarch %ix86
    --disable-sse2 \
    --disable-mmx \
%else
    --enable-sse2 \
    --enable-mmx \
%endif
    --enable-gpl \
    --enable-avformat \
    --avformat-shared="%{_libdir}" \
    --avformat-swscale \
    --avformat-vdpau \
    --enable-core \
    --enable-dgraft \
    --enable-dv \
    --enable-effectv \
    --enable-feeds \
    --enable-frei0r \
    --enable-gtk2 \
    --enable-jackrack \
    --enable-kdenlive \
    --enable-kino \
    --enable-lumas \
    --enable-linsys \
    --enable-melt \
%ifarch ppc
    --disable-motion_est \
%else
%ifnarch x86_64
    --enable-motion-est \
%else
    --disable-motion_est \
%endif
%endif
    --enable-normalize \
    --enable-oldfilm \
    --enable-plus \
    --enable-qimage \
    --enable-resample \
    --enable-sdl \
    --enable-sox \
    --enable-vmfx \
    --enable-vorbis \
%ifarch ppc
    --disable-xine \
%else
    --enable-xine \
%endif
    --enable-xml \
    --enable-shared \
    --luma-compress \
    --qimage-libdir=%{_libdir} \
    --qimage-includedir=%{_includedir} \
    --swig-languages=python

# luma/PAL/* gets not filled, if .executed is present
%__rm -rf src/modules/lumas/.executed

%__make %{?_smp_flags}

%install
%makeinstall

# make install is missing this .. DIY :)
%__install -dm 755 %{buildroot}%{python_sitearch}
%__install -m 644 src/swig/python/_mlt.so \
    %{buildroot}%{python_sitearch}
%__install -dm 755 %{buildroot}%{python_sitelib}
%__install -m 644 src/swig/python/mlt.py \
    %{buildroot}%{python_sitelib}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n libmlt%{soname} -p /sbin/ldconfig
%postun -n libmlt%{soname} -p /sbin/ldconfig

%post   -n libmlt++%{soname_pp} -p /sbin/ldconfig
%postun -n libmlt++%{soname_pp} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc ChangeLog COPYING README
%doc docs/*.txt
%{_bindir}/melt
%dir %{_libdir}/mlt
%{_libdir}/mlt/libmltavformat.so
%{_libdir}/mlt/libmltcore.so
%{_libdir}/mlt/libmltdgraft.so
%{_libdir}/mlt/libmltdv.so
%{_libdir}/mlt/libmlteffectv.so
%{_libdir}/mlt/libmltfrei0r.so
%{_libdir}/mlt/libmltgtk2.so
%{_libdir}/mlt/libmltjackrack.so
%{_libdir}/mlt/libmltkdenlive.so
%{_libdir}/mlt/libmltkino.so
%{_libdir}/mlt/libmltlinsys.so
%{_libdir}/mlt/libmltmelt.so
%{_libdir}/mlt/libmltxml.so
%ifnarch x86_64
%ifnarch ppc
%{_libdir}/mlt/libmltmotion_est.so
%endif
%endif
%{_libdir}/mlt/libmltnormalize.so
%{_libdir}/mlt/libmltoldfilm.so
%{_libdir}/mlt/libmltplus.so
%{_libdir}/mlt/libmltqimage.so
%{_libdir}/mlt/libmltresample.so
%{_libdir}/mlt/libmltrotoscoping.so
%{_libdir}/mlt/libmltsdl.so
%{_libdir}/mlt/libmltsox.so
%{_libdir}/mlt/libmltvmfx.so
%{_libdir}/mlt/libmltvorbis.so
%ifnarch ppc
%{_libdir}/mlt/libmltxine.so
%endif
%{_libdir}/mlt/libmltdecklink.so
%dir %{_datadir}/mlt
%{_datadir}/mlt/metaschema.yaml
%dir %{_datadir}/mlt/avformat
%{_datadir}/mlt/avformat/*
%dir %{_datadir}/mlt/core
%{_datadir}/mlt/core/data_fx.properties
%{_datadir}/mlt/core/loader.dict
%{_datadir}/mlt/core/loader.ini
%dir %{_datadir}/mlt/feeds
%{_datadir}/mlt/feeds/*
%dir %{_datadir}/mlt/lumas
%{_datadir}/mlt/lumas/*
%dir %{_datadir}/mlt/oldfilm
%{_datadir}/mlt/oldfilm/*
%dir %{_datadir}/mlt/profiles
%{_datadir}/mlt/profiles/*
%dir %{_datadir}/mlt/rotoscoping
%{_datadir}/mlt/rotoscoping/filter_rotoscoping.yml
%dir %{_datadir}/mlt/xml
%{_datadir}/mlt/xml/mlt-xml.dtd
%dir %{_datadir}/mlt/frei0r
%{_datadir}/mlt/frei0r/blacklist.txt
%{_datadir}/mlt/frei0r/not_thread_safe.txt
%dir %{_datadir}/mlt/decklink
%{_datadir}/mlt/decklink/*.yml

%files devel
%defattr(-, root, root)
%dir %{_includedir}/mlt
%dir %{_includedir}/mlt/framework
%{_includedir}/mlt/framework/*.h
%{_libdir}/libmlt.so
%{_libdir}/pkgconfig/mlt-framework.pc

%files -n mlt++-devel
%defattr(-, root, root)
%dir %{_includedir}/mlt++
%{_includedir}/mlt++/*
%{_libdir}/libmlt++.so
%{_libdir}/pkgconfig/mlt++.pc

%files -n libmlt%{soname}
%defattr(-, root, root)
%{_libdir}/libmlt.so.%{soname}
# no kidding, on purpose, go figure...:
%{_libdir}/libmlt.so.0.*

%files -n libmlt++%{soname_pp}
%defattr(-, root, root)
%{_libdir}/libmlt++.so.%{soname_pp}
# no kidding, on purpose, go figure...:
%{_libdir}/libmlt++.so.0.*

%files -n python-mlt
%defattr(-, root, root)
%{python_sitearch}/_mlt.so
%{python_sitelib}/mlt.py

%changelog
* Sun Jun 12 2011 pascal.bleser@opensuse.org
- build with SSE2 and MMX support on 64bit
- build with VDPAU support
- update to 0.7.2:
  * this is a minor release to fix a few things between the 0.7.0 release and
    the release of Kdenlive 0.8. I recommend Kdenlive v0.8 users to upgrade to
    this version of Mlt
  * some exciting additions to the Blackmagic Design DeckLink plugin
  * added mlt_profile_list()
  * added decklink producer (i.e. capture, live encoding)
  * added keyer output for decklink consumer
  * added AVOptions to the avformat service metadata
  * added support for new major API versions (53) of FFmpeg
  * melt: added '-query profile' option
  * melt: added '-query formats', '-query audio_codecs' and '-query
    video_codecs'
* Mon Apr 11 2011 reddwarf@opensuse.org
- update to 0.7.0
* Wed Sep 29 2010 pascal.bleser@opensuse.org
- update to 0.5.10
* Fri Jul 30 2010 toni@links2linux.de
- update to 0.5.6
- This is a maintenance release to address some bugs that appeared
  thus far in the 0.5.x series. Beyond that is a few enhancements:
  * Added interpolation to the affine transition and filter.
  * Added multi-track audio encoding to avformat consumer.
  * Added interlaced field rendering to kdenlivetitle producer.
* Thu Mar 11 2010 toni@links2linux.de
- update to 0.5.2
- This is a minor maintenance release, but it is interesting because
  it now enables usage of libswscale as the default choice for image
  scaling, image format conversion, and color space conversion. That
  gives better quality and performance. In addition, there are some
  improvements in the sdl_preview consumer to make it suitable for use
  in OpenShot 1.1.
* Tue Mar  2 2010 toni@links2linux.de
- rebuild with --disable-sse2
- new URL
* Tue Feb 16 2010 toni@links2linux.de
- update to 0.5.0
- This is an enhancement release, confined mainly to the modules rather
  than the framework. In particular, this adds support for VDPAU, YADIF,
  and HD-SDI technologies!
* Mon Feb  1 2010 toni@links2linux.de
- update to 0.4.10
- added libmltlinsys.so
* Tue Jan 12 2010 toni@links2linux.de
- added python-mlt sub-package
* Fri Oct  9 2009 pascal.bleser@opensuse.org
- update to 0.4.6
* Fri Oct  2 2009 Manfred.Tremmel@iiv.de
- included debian patch mlt_0.4.4-3.diff
* Thu Sep 24 2009 Manfred.Tremmel@iiv.de
- update to 0.4.4
* Mon May 18 2009 toni@links2linux.de
- update to 0.4.2
- dropped libvalerie1, libmiracle1
- added mlt++-devel, libmlt++2 sub-packages (obsoletes mlt++-*)
* Wed Apr 15 2009 toni@links2linux.de
- update to 0.3.8
- split of libvalerie1, libmlt1, libmiracle1
* Tue Feb  3 2009 toni@links2linux.de
- update to 0.3.6
* Sun Feb  1 2009 toni@links2linux.de
- rebuild with new sox(-devel) packages
* Fri Jan  2 2009 toni@links2linux.de
- update to 0.3.4
* Tue Nov 11 2008 toni@links2linux.de
- update to 0.3.2
- openSuSE >= 11.0 use only kde4 and qt4
* Tue Oct 28 2008 toni@links2linux.de
- rebuild with newest ffmpeg libs
* Wed Sep 24 2008 toni@links2linux.de
- mad ==> libmad-devel, sox ==> sox-devel
- we have new sox 14.1 ... so I grabbed the sox-module from svn-version
* Thu Aug  7 2008 toni@links2linux.de
- update to 0.3.0
* Sun Jun 29 2008 toni@links2linux.de
- rebuild with new ffmpeg package
- removed the av_free_static call
- don't strip the binaries via make install
* Fri Dec 21 2007 toni@links2linux.de
- rebuild with new ffmpeg package
* Thu Dec 20 2007 Manfred.Tremmel@iiv.de
- a little change to compile it on ppc
- added a patch to make it compile with the latest ffmpeg version
* Tue Aug  7 2007 toni@links2linux.de
- update to 0.2.4
- added some more plugin-modules (qimage, kdenlive, effecttv)
* Sat Aug  4 2007 toni@links2linux.de
- rebuild with option --avformat-swscale
* Wed Apr 25 2007 toni@links2linux.de
- update to 0.2.3
* Tue Dec  5 2006 toni@links2linux.de
- update to 0.2.2
- repacked as tar.bz2
* Wed Mar 22 2006 guru@unixtech.be
- rewrote spec file
- disable mmx support on x86_64
- new upstream version
* Sun Aug 28 2005 guru@unixtech.be
- fixed bug in requires
* Fri Aug 19 2005 guru@unixtech.be
- new package
